<?php

/* DCMS Special
 * Дата последнего редактирования 09.10.2016
 * Модифицировал densnet
 */

foreach (array('start', 'compress', 'sess', 'settings', 'db_connect', 'ipua', 'fnc', 'user') as $inc) {
    require_once "../../sys/inc/$inc.php";
}

$set['title'] = lang('Топ блогов'); // заголовок страницы

require_once H . 'sys/inc/thead.php';

aut();

#Навигация
echo "<div class='list-group-item-null list-group-item-grey'><small>";
echo "<a href='/' class='hint--right' data-hint='" . lang('На главную') . "'><i class='fa fa-home fa-lg'></i></a> <i class='fa fa-angle-right fa-fw'></i> ";
echo "<a href='/modules/diary/'>" . lang('Блоги') . "</a> <i class='fa fa-angle-right fa-fw'></i> ";
echo lang('Топ блогов');
echo "</small></div><br />";

$q = $db->super_query("SELECT COUNT(*) as count FROM diary");
$k_post = $q['count'];
$k_page = k_page($k_post, $set['p_str']);
$page = page($k_page);
$start = $set['p_str'] * $page - $set['p_str'];

if ($k_post == 0) {
    $doc->NoResult();
}
$q = $db->query("SELECT * FROM `diary` ORDER BY `rating` DESC LIMIT $start, $set[p_str]");
while ($diary = $db->get_row($q)) {
    $razdel = $db->get_row($db->query("SELECT * FROM `diary_cat` WHERE `id` = '$diary[id_cat]' LIMIT 1"));
    $us = get_user($diary['id_user']);

    echo '<div class="list-group-item-null list-group-item-grey dop">';
    echo "<a href='/modules/diary/$diary[name]/'><i class='fa fa-book fa-fw'></i> $diary[name]</a> <small style='float: right;color: grey;'>" . date::timek($diary['time']) . "</small><br />";

    echo '<i class="fa fa-folder fa-fw"></i> Категория:  <a href="index.php?r=' . $razdel['id'] . '">' . $razdel['name'] . '</a><br/>';
    echo '<i class="fa fa-eye fa-fw"></i> Просмотров: ' . $diary['viewings'] . ' | ';
    echo '<i class="fa fa-star fa-fw"></i> Рейтинг: ' . $diary['rating'] . '<br/>';
    echo '<i class="fa fa-tags fa-fw"></i> Метки: ' . $diary['tags'] . '';

    echo '</div>';
    unset($diary);
}

if ($k_page > 1) {
    str("?", $k_page, $page);
}

require_once H . 'sys/inc/tfoot.php';
